#!/bin/sh
# by xrado

PACKAGE=pygtranslator
VERSION=0.2
ARCH=noarch
BUILD=54.1

CWD=`pwd`
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PACKAGE

rm -rf $PKG
mkdir -p $PKG
cd /tmp
rm -rf $PACKAGE-$VERSION
tar xzvf $CWD/$PACKAGE-$VERSION.tar.gz || exit
cd $PACKAGE-$VERSION || exit
chown -R root.root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 664 -exec chmod 644 {} \;

python setup.py build
python setup.py install --root $PKG

( cd $PKG
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

# Add build script
mkdir -p $PKG/usr/src/$PACKAGE-$VERSION
cp $CWD/build-$PACKAGE.sh $PKG/usr/src/$PACKAGE-$VERSION

# Make a slack-desc file
mkdir -p $PKG/install
cat <<EOF > $PKG/install/slack-desc
|-----handy-ruler------------------------------------------------------|
$PACKAGE: $PACKAGE - GUI for Google translate
$PACKAGE:
$PACKAGE: packaged by xrado
EOF

# Build the package
cd $PKG
makepkg -l y -c n ${TMP}/${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.tgz
md5sum ${TMP}/${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.tgz >${TMP}/${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.md5
requiredbuilder -z ${TMP}/${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.tgz > ${TMP}/${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.dep

# Clean up
rm -rf ${TMP}/${PACKAGE}-${VERSION}
rm -rf $PKG
